<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Accueil extends CI_Controller {
function __construct() {
		parent::__construct();
		$this->load->library('doctrine');
		$this->load->helper('html');
		$this->load->helper('url');
			
	}
	
	public function index()
	{
		$em = $this->doctrine->em;
		$repository = $em->getRepository('models\Utilisateur');
		$data['utilisateurs']= $repository->findAll();
		$this->load->view('frontoffice/templates/header');
		$this->load->view('frontoffice/accueil_view',$data);
		$this->load->view('frontoffice/templates/footer');
	}
	
	public function gallery($login)
	{
		$em = $this->doctrine->em;
		$repository = $em->getRepository('models\Utilisateur');
		$utilisateur = $repository->getUtilisateurByLogin($login);
		$data['utilisateur']=$utilisateur;
		$this->load->view('frontoffice/templates/header');
		$this->load->view('frontoffice/galerie_view',$data);
		$this->load->view('frontoffice/templates/footer');
	}
	
public function display($login, $url)
	{
		$em = $this->doctrine->em;
		$repository = $em->getRepository('models\Image');
		$data['image']= $repository->getImageByURL($url);
		$data['login']= $login;
		$this->load->view('frontoffice/templates/header');
		$this->load->view('frontoffice/image_view', $data);
		$this->load->view('frontoffice/templates/footer');
	} 
}

/* End of file welcome.php */
/* Location: ./application/controllers/welcome.php */