<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Sessions extends CI_Controller
{
	function __construct()
	{
		parent::__construct();

		$this->load->library('session');
		$this->load->library('doctrine');
		$this->load->helper('html');
		$this->load->helper('url');

	}

	function login()
	{
		$this->load->view("backoffice/templates/header");
		$this->load->view('backoffice/login_view');
		$this->load->view('backoffice/templates/footer');
		 
	}

	function authenticate()
	{
		$login = $this->input->get_post('login');
		$password = $this->input->get_post('password');
		$em = $this->doctrine->em;
		$utilisateurRepository = $em->getRepository('models\Utilisateur');
		var_dump($login);
		$authOk=$utilisateurRepository->authenticate($login,$password);
		
		if ($utilisateurRepository->authenticate($login,$password))
		{
			$utilisateur = $utilisateurRepository->findOneByLogin($login);
			$this->session->set_userdata('loggedin', array('login'=>$login) );
		}
		
		redirect('/backoffice/accueil');
	}

	function logout()
	{
		$this->session->unset_userdata('loggedin');

		redirect('/');
	}
}

?>
