<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Utilisateur extends MY_Controller {

	function __construct() {
		parent::__construct();
		$this->load->library('session');
		$this->load->library('doctrine');
		$this->load->helper('html');
		$this->load->helper('url');
			
	}

	

	function updateOk(){
		//$varsession = $this->session->userdata('loggedin');
		//$login_session = $varsession['login'];
		$login = $this->input->post('login');
		$password = $this->input->post('password');
		$level = $this->input->post('level');
		$description = $this->input->post('description');
		$em = $this->doctrine->em;
		$repository = $em->getRepository('models\Utilisateur');
		$repository->updateUtilisateur($login, $password, $level, $description);
		$this->load->view('backoffice/templates/header');
		$this->load->view('backoffice/update_success_view');
		$this->load->view('backoffice/templates/footer');
	

	}

	function create(){
		$this->load->view('backoffice/templates/header');
		$this->load->view('backoffice/add_user_view');
		$this->load->view('backoffice/templates/footer');
	}

	function createOk(){
		$login = $this->input->post('login');
		$password = $this->input->post('password');
		$level = $this->input->post('level');
		$description = $this->input->post('description');
		$em = $this->doctrine->em;
		$repository = $em->getRepository('models\Utilisateur');
		$repository->create($login, $password, $level, $description);
		redirect('backoffice/accueil');
	}

	function delete($login){
		$varsession = $this->session->userdata('loggedin');
		$login_session = $varsession['login'];
		if ($login_session == $login)
		{
			$this->load->view('backoffice/templates/header');
			$this->load->view('backoffice/delete_error_view');
			$this->load->view('backoffice/templates/footer');
		}
		else
		{
			$em = $this->doctrine->em;
			$repository = $em->getRepository('models\Utilisateur');
			$repository->delete($login);
			redirect('backoffice/accueil');
		}
	}
	
	
}

?>
