<?php



/**
 * Description of UtilisateurDepot
 *
 * @author jub
 */

namespace models\repositeries;

class UtilisateurRepository extends \Doctrine\ORM\EntityRepository {

	public function create($login, $level, $password, $description) {
		$em = $this->getEntityManager();
		$user = new \models\Utilisateur($login, $level, $password, $description);
		$em->persist($user);
		try {
			$em->flush();
		} catch (\Exception $e) {
			//echo $e->getMessage();
		}
			
	}

	public function delete($login) {
		$em = $this->getEntityManager();

		try {
			$utilisateur = $this->findOneByLogin($login);
			$em->remove($utilisateur);
			$em->flush();
		} catch (\Exception $e) {

		};
	}

	public function authenticate($login, $password)
	{
		$CI = & get_instance();
		$CI->load->library('encrypt');
		$utilisateur = $this->findOneByLogin($login);

		$res = FALSE;
		if ($utilisateur != NULL)
		{
			/* necessite mcrypt
			 /$res = ($password == $CI->encrypt->decode($utilisateur->getPassword()));
			 */
			$res = (md5($password.$CI->config->item('encryption_key')) == $utilisateur->getPassword());
		}
		return $res;
	}

	public function getUtilisateurByLogin($login)
	{
		$em = $this->getEntityManager();
		$utilisateur = $this->findOneByLogin($login);
		return $utilisateur;
	}


	public function updateUtilisateur($login, $password, $level, $description){
		//le login n'est pas modifie
		$em = $this->getEntityManager();
		$utilisateur = $this->findOneByLogin($login);

		$utilisateur->setPassword($password);
		$utilisateur->setLevel($level);
		$utilisateur->setDescription($description);
		$em->persist($utilisateur);
		$em->flush();
	}

}

?>
